# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""correcting calibration script

Revision ID: e4452ab33088
Revises: 291edd508557
Create Date: 2021-05-05 11:23:05.906308

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "e4452ab33088"
down_revision = "291edd508557"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE workflow_templates
        SET content =
        E'#!/bin/sh
        SCRIPTS_DIR=$(pycapo -q edu.nrao.workspaces.ProcessingSettings.scriptLocation)

        export PATH=$PATH:${SCRIPTS_DIR}

        framework.sh -d .
        cd rawdata/
        datafetcher --product-locator $1
        cd ../
        casa_envoy --standard-cal $3 $4
        deliver-cipl.sh ${PWD##*/}'
        WHERE filename = 'std_calibration.sh'
        """
    )
    pass


def downgrade():
    pass
